Bug 436551 - Review Request: perl-LWP-UserAgent-Determined - A virtual browser that retries errors
Review Request: perl-LWP-UserAgent-Determined - A virtual browser that retrie...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-07 15:52 EST by Robert Rati
Modified: 2008-04-04 00:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-10 15:19:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nsantos: fedora‑review+
wtogami: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2008-03-07 15:52:58 EST
Spec URL: http://grid.et.redhat.com/files/perl-LWP-UserAgent-Determined.spec
SRPM URL: http://grid.et.redhat.com/files/perl-LWP-UserAgent-Determined-1.03-1.fc8.src.rpm
This class works just like LWP::UserAgent (and is based on it, by being a
subclass of it), except that when you use it to get a web page but run into
a possibly-temporary error (like a DNS lookup timeout), it'll wait a few
seconds and retry a few times.
Comment 1 Robert Rati 2008-03-07 15:57:03 EST
This is my 3rd "first" package and am looking for a sponsor.
Comment 2 Nuno Santos 2008-03-07 16:19:03 EST
Reviewed according to guidelines at

Builds under mock (on devel):

$ mock perl-LWP-UserAgent-Determined-1.03-1.fc8.src.rpm 
INFO: mock.py version 0.9.7 starting...
State Changed: init plugins
State Changed: start
INFO: Start(perl-LWP-UserAgent-Determined-1.03-1.fc8.src.rpm) 
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(perl-LWP-UserAgent-Determined-1.03-1.fc8.src.rpm) Config(default) 0
minutes 45 seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-development-i386/result

$ cd /var/lib/mock//fedora-development-i386/result
$ ls -alF
total 56
drwxrwsr-x 2 nsantos mock  4096 2008-03-07 16:15 ./
drwxrwsr-x 4 root    mock  4096 2008-03-07 16:14 ../
-rw-rw-r-- 1 nsantos mock  5183 2008-03-07 16:15 build.log
-rw-r--r-- 1 nsantos mock 11318 2008-03-07 16:15
-rw-r--r-- 1 nsantos mock  9431 2008-03-07 16:15
-rw-rw-r-- 1 nsantos mock 11381 2008-03-07 16:15 root.log
-rw-rw-r-- 1 nsantos mock   272 2008-03-07 16:15 state.log

$ rpmlint *.rpm
(no output)

Specfile looks good too, so I'm marking as fedora-review+
Comment 3 Robert Rati 2008-03-10 11:08:23 EDT
New Package CVS Request
Package Name: perl-LWP-UserAgent-Determined
Short Description: A virtual browser that retries errors
Owners: rrati
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 4 Ralf Corsepius 2008-03-11 09:16:15 EDT
All perl packages must own all of their subdirectories and files underneath.

Please fix your packages ASAP.

Comment 5 Robert Rati 2008-03-11 15:29:24 EDT
This has been fixed in -3

Note You need to log in before you can comment on or make changes to this bug.